@echo off
cls

if not exist "%AppData%\.minecraft\bin\minecraft.jar" goto failed

:extract
cls
color 0a
cd Data
jar xf J4L.patch
xcopy J4L "%Temp%\J4L\J4L\" /y
xcopy Patch "%Temp%\J4L\Patch\" /s /y
rd J4L /s /q
rd Patch /s /q

:menu
cls
echo -------------------------------
echo :  J4L's Mods Auto-Installer  :
echo -------------------------------
echo Thanks to Zaneris for the original script and minimap.
echo.
echo Please select from the following options:
echo 1) Install J4L's Hacks v1.0.0
echo 2) BackUp/Restore Minecraft
echo 3) Exit
echo.
set /p x=Selection:
if %x%==1 goto j4l
if %x%==2 goto backup
if %x%==3 goto eof

:backup
cls
echo -------------------------------
echo ==== BackUp and/or Restore ====
echo -------------------------------
echo.
echo Please select from the following options:
echo 1) BackUp Minecraft (Overwrites old backup)
echo 2) Restore to previous backup
echo 3) Main Menu
echo.
set /p x=Selection:
if %x%==1 goto create
if %x%==2 goto restore
if %x%==3 goto menu

:create
cls
echo Creating backup of "minecraft.jar" ...
copy "%AppData%\.minecraft\bin\minecraft.jar" "%AppData%\.minecraft\bin\minecraft.bak"
echo Backup created! minecraft.bak
pause
goto menu

:restore
cls
echo Restoring backup of "minecraft.jar" ...
if not exist "%AppData%\.minecraft\bin\minecraft.bak" goto restfail
copy "%AppData%\.minecraft\bin\minecraft.bak" "%AppData%\.minecraft\bin\minecraft.jar"
echo Minecraft restored!
pause
goto menu

:restfail
echo No prior backup of "minecraft.jar" was found.
pause
goto menu

:j4l
cls
echo Installing J4L's Hacks v1.0.0 ...
jar uf "%AppData%\.minecraft\bin\minecraft.jar" -C "%Temp%\J4L\J4L" . -C "%Temp%\J4L\Patch" .
echo Done!
pause
goto menu

:failed
color 1f
echo Fatal Error:
echo --------------------------------------------------------
echo The file "minecraft.jar" was not found in the directory:
echo %AppData%\.minecraft\bin\
echo.
echo Please confirm the Minecraft client is installed correctly.
pause
:eof